<?php

stPaymentTypeConfiguration::register('Comfino', appComfinoPaymentType::class, [
    'alternative_title' => 'Płatności Ratalne i odroczone',
    'show_payment_info' => [
        'product' => true,
        'shopping_cart' => false,
    ],
]);

if (SF_APP == 'backend')
{
    stPluginHelper::addEnableModule('appComfinoBackend');
    stPluginHelper::addRouting('appComfinoBackend', '/comfino/:action/*', 'appComfinoBackend', 'config');
    stPluginHelper::addRouting('appComfinoPaymentTypeBackend', '/comfino/:action/*', 'appComfinoBackend', 'config');
}
elseif (SF_APP == 'frontend')
{
    /**
     * @var stEventDispatcher $dispatcher
     */
    $dispatcher->connect('stActions.preValidate', ['appComfinoPluginListener', 'validateUserDataBasket']);
    stSecurity::addCSPException('http://*.ecraty.pl');
    stSecurity::addCSPException('http://*.comfino.pl');
    stSecurity::addCSPException('https://*.ecraty.pl');
    stSecurity::addCSPException('https://*.comfino.pl');
    stSecurity::addCSPException('http://*.craty.pl');
    stSecurity::addCSPException('https://*.craty.pl');
}

