<?php

function app_comfino_highlighted_payments_select_tag($name, $value, array $options = [])
{
    $selectOptions = [];
    $config = stConfig::getInstance('appComfinoBackend');
    $hide = null;

    if (isset($options['hide']))
    {
        $hide = explode(',', $options['hide']);
        unset($options['hide']);
    }

    try
    {
        if ($config->getBool('enabled'))
        {
            $api = appComfinoApi::create($config->get('api_key'), $config->getBool('sandbox'));

            foreach ($api->getFinancialProducts(1000) as $product)
            {
                if (null !== $hide && in_array($product['type'], $hide))
                {
                    continue;
                }
                
                $selectOptions[$product['type']] = $product['name'];
            }
        }
    }
    catch (appComfinoApiException $e)
    {
        $options['disabled'] = true;
    }   

    $options['selected'] = $value;

    return select_tag($name, $selectOptions, $options);
}

function object_app_comfino_highlighted_payments_select_tag($object, $method, $options = array(), $default_value = null)
{
    $options = _parse_attributes($options);
    $value = _get_object_value($object, $method, $default_value);
    $name = _convert_method_to_name($method, $options);

    return app_comfino_highlighted_payments_select_tag($name, $value, $options);
}